GuideLab API

Update Invoice

Edit draft invoice metadata or perform an allowed lifecycle transition. Financial headers are derived from line items and payment states are ledger-derived.

PUT
/invoices/{id}

Edit draft invoice metadata or perform an allowed lifecycle transition. Financial headers are derived from line items and payment states are ledger-derived.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Invoice ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/invoices/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "invoiceNumber": "string",  "property1": null,  "property2": null}
Empty
Empty
Empty